Group: Office
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           rfdump
Version:        1.6
Release:        alt1_27
Summary:        An RFID tags detector

License:        GPLv2+
URL:            http://www.rfdump.org
Source0:        http://www.rfdump.org/dl/%{name}-%{version}.tar.bz2
Patch0:         %{name}-1.6-optflags.patch
Patch1:         %{name}-1.6-linking.patch
Patch2:         %{name}-1.6-error.patch

BuildRequires:  gcc
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel libgtk+2-gir-devel
BuildRequires:  libexpat-devel
BuildRequires:  libglade-devel
BuildRequires:  desktop-file-utils
Source44: import.info

%description
RFDump is a tool to detect RFID-Tags and show their meta information:
Tag ID, Tag Type, manufacturer etc. The user data memory of a tag can
be displayed and modified using either a Hex or an ASCII editor. Tag
contents can be stored and loaded using a specific XML fomrat. This
effectively allows to copy data from one tag to another. In addition,
the integrated cookie feature demonstrates how easy it is for a
company to abuse RFID technology to spy on their customers.  RFDump
works with the ACG Multi-Tag Reader or similar card reader hardware.

%prep
%setup -q
%patch0 -p0 -b .optflags
%patch1 -p0 -b .linking
%patch2 -p0 -b .error

%build
%configure --disable-dependency-tracking
%make_build

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install                                \
        --dir %{buildroot}%{_datadir}/applications  \
        --delete-original                           \
        --add-category="Electronics;"               \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%files 
%doc AUTHORS NEWS README TODO
%doc --no-dereference COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_27
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_26
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_25
- update to new release by fcimport

* Tue Mar 13 2018 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_24
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_23
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_22
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_20
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_19
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_18
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_17
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_16
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_14
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_13
- initial fc import

